
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>Oracle数据泵技术详解 / iVAN</title>

    <meta name="description" content="Oracle数据泵技术详解 Oracle Database 10g中采用了数据泵(Data Dump)技术,使DBA或开发人员可以将数据库元数据(对象定义)和数据快速移动到另一个oracle数据库中. 一. 数据泵导出导入(EXPDP和IMPDP)的作用: 1.实现逻辑备份和逻辑恢复. 2.在数据库用户之间移动对象. 3.在数据库之间移动对象 4.实现表空间搬移. 二. 数据泵导出导入与传统导出导入的区别: 在10g之前,传统的导出和导入分别使用EXP工具和IMP工具,从10g开始,增加了数据泵导出导入工具EXPDP和IM">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">Oracle数据泵技术详解</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>Oracle Database 10g中采用了数据泵（Data Dump）技术，使DBA或开发人员可以将数据库元数据（对象定义）和数据快速移动到另一个oracle数据库中。</p>
<p>一、 数据泵导出导入（EXPDP和IMPDP）的作用：</p>
<p>1、实现逻辑备份和逻辑恢复。</p>
<p>2、在数据库用户之间移动对象。</p>
<p>3、在数据库之间移动对象</p>
<p>4、实现表空间搬移。</p>
<p>二、 数据泵导出导入与传统导出导入的区别：</p>
<p>在10g之前，传统的导出和导入分别使用EXP工具和IMP工具，从10g开始，增加了数据泵导出导入工具EXPDP和IMPDP。</p>
<p>EXP和IMP是客户段工具程序，它们既可以在客户端使用，也可以在服务器端使用。</p>
<p>EXPDP和IMPDP是服务端的工具程序，他们只能在ORACLE服务端使用，不能在客户端使用</p>
<p>IMP只适用于EXP导出文件，不适用于EXPDP导出文件；IMPDP只适用于EXPDP导出文件，而不适用于EXP导出文件。</p>
<p>数据泵导出包括导出表，导出方案，导出表空间，导出数据库4种方式。</p>
<p>三、EXPDP命令行选项</p>
<p>1. ATTACH</p>
<p>该选项用于在客户会话与已存在导出作用之间建立关联。语法如下</p>
<p>ATTACH=[schema_name.]job_name</p>
<p>Schema_name用于指定方案名，job_name用于指定导出作业名。注意，如果使用ATTACH选项，在命令行除了连接字符串和ATTACH选项外，不能指定任何其他选项，示例如下：</p>
<p>Expdp newhappy/pdmcn.com  ATTACH=scott.export_job</p>
<p>2. CONTENT</p>
<p>该选项用于指定要导出的内容。默认值为ALL</p>
<p>CONTENT={ALL | DATA_ONLY | METADATA_ONLY}</p>
<p>当设置CONTENT为ALL 时，将导出对象定义及其所有数据。为DATA_ONLY时，只导出对象数据，为METADATA_ONLY时，只导出对象定义</p>
<p>Expdp newhappy/pdmcn.com   DIRECTORY=dump DUMPFILE=a.dump</p>
<p>CONTENT=METADATA_ONLY</p>
<p>3. DIRECTORY</p>
<p>指定转储文件和日志文件所在的目录</p>
<p>DIRECTORY=directory_object</p>
<p>Directory_object用于指定目录对象名称。需要注意，目录对象是使用CREATE DIRECTORY语句建立的对象，而不是OS 目录</p>
<p>Expdp newhappy/pdmcn.com  DIRECTORY=dump DUMPFILE=a.dump</p>
<p>建立目录：</p>
<p>CREATE DIRECTORY dump as ‘d:dump’；</p>
<p>查询创建了那些子目录：</p>
<p>SELECT * FROM dba_directories;</p>
<p>4. DUMPFILE</p>
<p>用于指定转储文件的名称，默认名称为expdat.dmp</p>
<p>DUMPFILE=[directory_object:]file_name [,…]</p>
<p>本文URL地址：http://www.bianceng.cn/database/Oracle/201410/45390.htm</p>
<p>Directory_object用于指定目录对象名，file_name用于指定转储文件名。需要注意，如果不指定directory_object,导出工具会自动使用DIRECTORY选项指定的目录对象</p>
<p>Expdp newhappy/pdmcn.com  DIRECTORY=dump1 DUMPFILE=dump2:a.dmp</p>
<p>5. ESTIMATE</p>
<p>指定估算被导出表所占用磁盘空间分方法。默认值是BLOCKS</p>
<p>EXTIMATE={BLOCKS | STATISTICS}</p>
<p>设置为BLOCKS时，oracle会按照目标对象所占用的数据块个数乘以数据块尺寸估算对象占用的空间，设置为STATISTICS时，根据最近统计值估算对象占用空间</p>
<p>Expdp newhappy/pdmcn.com  TABLES=emp ESTIMATE=STATISTICS</p>
<p>DIRECTORY=dump DUMPFILE=a.dump</p>
<p>6. EXTIMATE_ONLY</p>
<p>指定是否只估算导出作业所占用的磁盘空间，默认值为N</p>
<p>EXTIMATE_ONLY={Y | N}</p>
<p>设置为Y时，导出作用只估算对象所占用的磁盘空间，而不会执行导出作业，为N时，不仅估算对象所占用的磁盘空间，还会执行导出操作。</p>
<p>Expdp newhappy/pdmcn.com  ESTIMATE_ONLY=y NOLOGFILE=y</p>
<p>7. EXCLUDE</p>
<p>该选项用于指定执行操作时释放要排除对象类型或相关对象</p>
<p>EXCLUDE=object_type[:name_clause] [,…]</p>
<p>Object_type用于指定要排除的对象类型，name_clause用于指定要排除的具体对象。EXCLUDE和INCLUDE不能同时使用</p>
<p>Expdp newhappy/pdmcn.com  DIRECTORY=dump DUMPFILE=a.dup EXCLUDE=VIEW</p>
<p>8. FILESIZE</p>
<p>指定导出文件的最大尺寸，默认为0,（表示文件尺寸没有限制）</p>
<p>9. FLASHBACK_SCN</p>
<p>指定导出特定SCN时刻的表数据</p>
<p>FLASHBACK_SCN=scn_value</p>
<p>Scn_value用于标识SCN值。FLASHBACK_SCN和FLASHBACK_TIME不能同时使用</p>
<p>Expdp newhappy/pdmcn.com  DIRECTORY=dump DUMPFILE=a.dmp</p>
<p>FLASHBACK_SCN=358523</p>
<p>10. FLASHBACK_TIME</p>
<p>指定导出特定时间点的表数据</p>
<p>FLASHBACK_TIME=”TO_TIMESTAMP（time_value）”</p>
<p>Expdp newhappy/pdmcn.com  DIRECTORY=dump DUMPFILE=a.dmp FLASHBACK_TIME=</p>
<p>“TO_TIMESTAMP（’25-08-2004 14:35:00’，’DD-MM-YYYY HH24:MI:SS’）”</p>
<p>11. FULL</p>
<p>指定数据库模式导出，默认为N</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-19 11:52:20</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e6%96%87%e4%bb%b6/" title="文件">文件</a>, <a href="https://www.iamivan.net/tag/%e6%95%b0%e6%8d%ae/" title="数据">数据</a>, <a href="https://www.iamivan.net/tag/%e7%9b%ae%e5%bd%95/" title="目录">目录</a>, <a href="https://www.iamivan.net/tag/%e5%af%b9%e8%b1%a1/" title="对象">对象</a>, <a href="https://www.iamivan.net/tag/directory/" title="directory">directory</a>, <a href="https://www.iamivan.net/tag/dump/" title="dump">dump</a>, <a href="https://www.iamivan.net/tag/expdp%e5%91%bd%e4%bb%a4/" title="expdp命令">expdp命令</a>, <a href="https://www.iamivan.net/tag/exclude/" title="exclude">exclude</a>, <a href="https://www.iamivan.net/tag/oracle%e6%8e%92%e9%99%a4%e8%a1%a8%e5%af%bc%e5%87%ba/" title="oracle排除表导出">oracle排除表导出</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>Oracle数据泵技术详解的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/p5Zj7Dz.html" rel="bookmark">【H&period;264&sol;AVC视频编解码技术详解】十三、熵编码算法（4）：H&period;264使用CAVLC解析宏块的残差数据</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				&lt;H.264/AVC视频编解码技术详解&gt;视频教程已经在&quot;CSDN学院&quot;上线,视频中详述了H.264的背景.标准协议和实现,并通过一个实战工程的形式对H.264的标准进行解析和实现,欢迎观看! &quot;纸上得来终觉浅,绝知此事要躬行&quot;,只有自己按照标准文档以代码的形式操作一遍,才能对视频压缩编码标准的思想和方法有足够深刻的理解和体会! 链接地址:H.264/AVC视频编解码技术详解 GitHub代码地址:点击这里 1. H.264的CAVLC解析宏块残差数据的流			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pL7wjaM.html" rel="bookmark">《策略驱动型数据中心&mdash;&mdash;ACI技术详解》&mdash;&mdash;第1章 数据中心架构考虑因素1&period;1 应用和存储</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				第1章 数据中心架构考虑因素 本章介绍数据中心架构所需考虑的因素.其中将介绍设计时的考虑因素和设计过程中使用的方法,以便对于数据中心矩阵项目,使架构师能高效地选择端到端的网络设计,为其演进提供所需的增长能力. 在数据中心网络设计过程中,在架构选择和最终设计方面需要注意以下一些关键考虑因素. 要托管在数据中心的应用和这些应用将使用的存储类型. 数据中心的需求和限制,包括物理决策和POD模型. 不同类型的数据中心设计. 大多数的数据中心矩阵部署是用于虚拟化数据中心的.本章还介绍了数据中心的其他应用场			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zDe1PWb.html" rel="bookmark">《策略驱动型数据中心&mdash;&mdash;ACI技术详解》一第1章 数据中心架构考虑因素1&period;1 应用和存储</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				第1章 数据中心架构考虑因素 策略驱动型数据中心--ACI技术详解 本章介绍数据中心架构所需考虑的因素.其中将介绍设计时的考虑因素和设计过程中使用的方法,以便对于数据中心矩阵项目,使架构师能高效地选择端到端的网络设计,为其演进提供所需的增长能力. 在数据中心网络设计过程中,在架构选择和最终设计方面需要注意以下一些关键考虑因素. 要托管在数据中心的应用和这些应用将使用的存储类型. 数据中心的需求和限制,包括物理决策和POD模型. 不同类型的数据中心设计. 大多数的数据中心矩阵部署是用于虚拟化数据中			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bjwQ8NM.html" rel="bookmark">《Hadoop海量数据处理：技术详解与项目实战》一1&period;2 Hadoop和大数据</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1.2 Hadoop和大数据 Hadoop海量数据处理:技术详解与项目实战 在人们对云计算这个词汇耳熟能详之后,大数据这个词汇又在最短时间内进入大众视野.云计算对于普通人来说就像云一样,一直没有机会能够真正感受到,而大数据则更加实际,是确确实实能够改变人们生活的事物.Hadoop从某个方面来说,与大数据结合得更加紧密,它就是为大数据而生的. 1.2.1 大数据的定义 &quot;大数据&quot;(big data),一个看似通俗直白.简单朴实的名词,却无疑成为了时下IT界最炙手可热的名词,在全球引领了新			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pXdQVvp.html" rel="bookmark">《策略驱动型数据中心&mdash;&mdash;ACI技术详解》一1&period;3 数据中心设计</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1.3 数据中心设计 策略驱动型数据中心--ACI技术详解数据中心网络基础架构设计,还包括定义交换机如何互联和如何保证网络中的数据通信.在包含接入.汇聚和核心的三层设计方法中,思科vPC是数据中心最常用的部署技术.还有一种被称之为&quot;主干-叶节点&quot;的新型两层矩阵的设计方法.这两种方法都会在本章后面的&quot;采用主干-叶节点的ACI基础架构的逻辑数据中心设计&quot;小节中介绍. 物理数据中心有3种基本的设计方法:列端式(EoR).列中式(MoR)和架顶式(ToR).该命名约定表示网			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zJ7Bo2b.html" rel="bookmark">oracle闪回表详解</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				  --- 说明闪回数据库 --- 使用闪回表将表内容还原到过去的特定时间点 --- 从删除表中进行恢复 --- 使用闪回查询查看截止到任一时间点的数据库内容 --- 使用闪回版本查询查看某一行在一段时间内的各个版本 --- 使用闪回事务查询查看事务处理历史记录或行 优点: 闪回技术由于只能处理更改数据,所以从根本上改变了恢复技术.使用这个技术时,从错误中恢复花费的时间等于制造错误所花费的时间.当闪回技术使用时,它与介质恢复相比,在易用性.可用性和还原时间方面有明显的优势. 闪回数据库使用闪回日			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/p8AAONz.html" rel="bookmark">&lbrack;顶&rsqb;ORACLE PL&sol;SQL编程详解之二：PL&sol;SQL块结构和组成元素&lpar;为山九仞，岂一日之功&rpar;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				原文:[顶]ORACLE PL/SQL编程详解之二:PL/SQL块结构和组成元素(为山九仞,岂一日之功)  [顶]ORACLE PL/SQL编程详解之二:   PL/SQL块结构和组成元素(为山九仞,岂一日之功)     继上四篇:ORACLE PL/SQL编程之八:把触发器说透                ORACLE PL/SQL编程之六:把过程与函数说透(穷追猛打,把根儿都拔起!)                [推荐]ORACLE PL/SQL编程之四:把游标说透(不怕做不到,只怕想不			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MWlxvAp.html" rel="bookmark">《Hadoop技术详解》一第1章　简介</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				第1章 简介 Hadoop技术详解 在过去的几年里,数据的存储.管理和处理发生了巨大的变化.各个公司存储的数据比以前更多,数据来源更加多样,数据格式也更加丰富.这不是因为我们变成了林鼠(译注:林鼠喜欢收集各种物品),而是因为我们想要创造出可以让我们进一步了解某一领域的产品.功能以及对其智能预测(这个领域可以是指用户.数据搜索.机器日志或者是某机构的任何信息).为了更好地服务其成员,各组织正在寻找新的方式来使用那些曾经被认为没有什么价值或者存储起来过于昂贵的数据.采集和存储数据只是其中的一部分工作			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/p5Z1oqz.html" rel="bookmark">《策略驱动型数据中心&mdash;&mdash;ACI技术详解》一1&period;2 基于POD的设计</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1.2 基于POD的设计 策略驱动型数据中心--ACI技术详解 本节介绍POD的概念,具体分析来自于思科和NetApp的FlexPod架构. 1.2.1 共享基础架构和云计算的POD模型或数据模型 数据的使用方式在不断动态地演进.如今,数据中心项目具有固定的预算,特定的范围和需求.一旦设计最终确定后,这些需求会转换为某种网络拓扑结构.交换机数量等.大多数项目的目标是不仅要满足最初的需求,还要提供未来按需在相同站点或不同的物理位置扩展的能力.当前的行业趋势表明,数据中心正在发生朝共享基础架构和云计			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/jbEgonp.html" rel="bookmark" class="title">网络创业&colon;成功等于兴趣加坚持</a>
					<div>
						网络 中小网站和创业公司如何才能取得成功?3月25日,在北京召开的&quot;反思2006,补课2007&quot;站长论坛上,无论是那些已经小获成功的站长,还是那些著名的互联网创业明星们,都在强调这 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/dzZ445M.html" rel="bookmark" class="title">Dreamweaver MX 2004 行为之转到URL</a>
					<div>
						dreamweaver · 转到URL 转到 URL&quot;动作在当前窗口或指定的框架中打开一个新页.此操作尤其适用于通过一次单击更改两个或多个框架的内容. 具体制作&quot;转到 URL&qu ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/vbQVLKM.html" rel="bookmark" class="title">PHP3，PHP4，ASP运行速度测试</a>
					<div>
						速度 PHP3,PHP4,ASP运行速度测试 测试硬件说明:测试使用的是我的爱机,配置如下:CPU:C433内存:128M硬盘:酷鱼2代20G 测试软件说明:WIN32下用的是windows nt s ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ybjrPNb.html" rel="bookmark" class="title">用XSL&period;ASP编辑XML文档</a>
					<div>
						简介 本文是&quot;保存至HTML 表格数据至XML&quot;的姐妹篇.如果你没读过上文,我建议您最好先浏览一下.本文是建立在上文基础之上的.关于上文的举例,读者不断给予了肯定的回应,同样的,很 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/vbQA6Ob.html" rel="bookmark" class="title">outlook收发domino pop3邮件时弹出密码框的解决方法</a>
					<div>
						设置POP3空闲进程断开时间间隔,及outlook自动接收时间. 解决方案: POP3_SESSION_TIMEOUT=10 其中的数值&quot;10&quot;单位是分钟,如果您希望用户的POP3 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b2y4kqz.html" rel="bookmark" class="title">MySQL中数据目录的组织架构</a>
					<div>
						归根到底,MySQL是运行在操作系统上的一个软件,它需要借助于文件系统存储数据,本文主要介绍MySQL数据目录的 组织架构. 数据目录的位置 可以通过以下几个方法查看MySQL数据目录的位置: 1)对 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MyrdX5p.html" rel="bookmark" class="title">教你卸载Vista已更新补丁</a>
					<div>
						在Windsow XP系统中,大家都知道可以在控制面板中通过&quot;添加/删除程序&quot;来查看/卸载已更新的补丁.但是在Windows Vista系统中,却没有了&quot;添加/删除程序& ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M62ZjYM.html" rel="bookmark" class="title">Vista安装的QQ2007在XP无法运行解决方法</a>
					<div>
						很多人都已经发现,QQ2007Beta1在Vista和在XP下,装上的东西会有很多不同.而且,最严重的问题是在XP安装的QQ2007Beta1不能在Vista运行,Vista下安装的QQ2007Bet ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MRyY1Kb.html" rel="bookmark" class="title">关于Mysql数据库中数据输入问题</a>
					<div>
						关于数据库中数据输入问题 -------------------SELECT ... INTOOUTFILE 的 LOAD DATA INFILE 的逆操作问题. 一般我们都用insert into  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgKoWBM.html" rel="bookmark" class="title">jboss下配置jndi利用spring的IOC来获得</a>
					<div>
						来项目内用的是普通数据源.考虑没有分布式的数据访问.就使用了apache-commons-dbcp.但是后来项目内要加一个第三方的报表制作工具.该工具强制要求使用JNDI来获得连接(该死的)没办法.只 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJ757Vb.html" rel="bookmark" class="title">WPS文字制作本科毕业论文排版技巧</a>
					<div>
						每年指导本科毕业生论文时,除了论文内容,论文的格式也需要指导学生反复修改.尽管面对的是计算机专业的学生,而且已经大四,但是对于文字处理软件的排版技巧很多人仍然不能娴熟地掌握. 已经有了论文内容,使用W ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MN1Jjob.html" rel="bookmark" class="title">Win7播放视频没声音怎么办</a>
					<div>
						  本地播放器听歌看电影都有声音但是它播放土豆网.优酷.Yo等网站的flash,还有在线电影中的RMVB.WMV视频时没有声音,网页中的音乐也一样听不了.播放硬盘上的视频.音乐.FLASH动画则可以听 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b246mkp.html" rel="bookmark" class="title">大白菜怎么用u盘装系统</a>
					<div>
						  1.下载大白菜,安装 2.启动大白菜,插入U盘,识别后点击制作 3.下载系统镜像文件,用winrar打开这个文件,从中找到一个体积最大的GHO文件解压出来 4.把这个GHO文件复制到U盘里 5.插 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MrW2nvp.html" rel="bookmark" class="title">SQL Server数据库服务器负载均衡集群的实现方法</a>
					<div>
						SQL Server数据库服务器http://www.aliyun.com/zixun/aggregation/13996.html&quot;&gt;负载均衡集群的实现方法是本文我们主要要介绍的内容 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlQmknp.html" rel="bookmark" class="title">用Spring Boot颠覆Java应用开发</a>
					<div>
						Java开发概述: 使用Java做Web应用开发已经有近20年的历史了,从最初的Servlet1.0一步步演化到现在如此多的框架,库以及整个生态系统.经过这么长时间的发展,Java作为一个成熟的语言, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MW2xKnb.html" rel="bookmark" class="title">金山云3年实现盈利，凭什么？</a>
					<div>
						摘要: 国内的云存储服务早在2012年就已经是一片红海,服务提供商一边烧钱一边比拼着争取用户,可在前不久前的2013年全球移动互联网大会上,专注云存储业务的金山云总裁王育林宣称,预 国内的云存储服务早 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M0QZn0p.html" rel="bookmark" class="title">【数据库】浅显易懂地理解左、右连接</a>
					<div>
						之前一直对数据库里面的外连接有些疑惑,理解的不是很透彻,今天总算自己建了个表,详细地对照了几种写法,总算彻底搞清楚了. 基本概念 左连接.右连接就是数据库里面的关键字  left join 和 rig ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zGEA8vM.html" rel="bookmark" class="title">浙江湖州小店老板引官场地震：近十名官员落马</a>
					<div>
						一场罕见大雪压坍了农贸市场,也压出了深藏的腐败黑洞--浙江省湖州市南浔古镇上一个名不见经传的小老板被检察机关问话后,竟引发了湖州市有史以来最大的一场官场地震,有近十名官员受其&quot;牵连&quot ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pdRNQ1b.html" rel="bookmark" class="title">《程序员度量：改善软件团队的分析学》一连接活动与目标</a>
					<div>
						连接活动与目标 程序员是软件开发团队中的球员,这个软件开发团队是某个商业活动或者组织的一部分.至少这个组织的一些目标同样也是这个软件开发团队的目标(因此,那些目标也同样是程序员的目标).最有意义和有用 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z40neYz.html" rel="bookmark" class="title">在阿里云CentOS 7创建swap分区的方法</a>
					<div>
						创建swap分区是为了弥补物理内存的不足,也就是虚拟内存的概念,把硬盘的一部分划分作为虚拟内存,但这个空间不是越大越好,硬盘的速度远低于内存,设置不当反而拖慢系统的速度. 阿里云的主机默认没有swap ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zeR359b.html" rel="bookmark" class="title">手机膜、手机壳等配件利润动辄十倍百倍</a>
					<div>
						现在市面上的手机壳卖到几十甚至数百元一个,但有些价钱不过是几元而已.除了手机膜.手机套.充电器之外,还有商家销售可接苹果手机的电话筒等配件吸引顾客注意.琳琅满目的手机壳造价不高,但零售价格昂贵,目前国 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MrXPoOz.html" rel="bookmark" class="title">mysql 源代码目录及安装目录介绍</a>
					<div>
						1.源代码目录介绍: 1.BUILD    BUILD目录是编译.安装脚本目录,绝大部分以compile-开头,其中的SETUP.sh脚本为C和C++编译器设置了优化选项.2.client    cl ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pX0jOlp.html" rel="bookmark" class="title">哥不是&OpenCurlyDoubleQuote;糕富帅&rdquo;&comma;哥靠卓天网络&OpenCurlyDoubleQuote;建站宝盒&rdquo;挤上财富的末班车！</a>
					<div>
						他不是&quot;切糕党&quot;,也不是&quot;高富帅&quot;,他既没有高深的知识文化,也没有过人的胆量魅力,更没有深厚的财富背景.他唯一的特点:爱玩,什么也不怕,酷爱上网.电脑是他最钟爱 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bod0a6M.html" rel="bookmark" class="title">&OpenCurlyDoubleQuote;网络推手&rdquo;的自述：感觉自己就是坑蒙拐骗</a>
					<div>
						有这样一个群体,他们帮商家炒作.帮客户出名,通常意义下,我们称之为营销,那几个走歪路的,我们斥之为&quot;无底线&quot;.他们涉猎很广,汽车.美妆.快销.娱乐--翻手为云覆手为雨,一根网线足矣 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MRN6eGM.html" rel="bookmark" class="title">空指针 隐式类型转换-空指针0可以被隐式类型转换为整型，会带来什么隐患？</a>
					<div>
						问题描述 空指针0可以被隐式类型转换为整型,会带来什么隐患? 以前都是用0来表示空指针的,但由于0可以被隐式类型转换为整形,这就会存在一些问题. 解决方案 一个是语义上的,NULL用来表示空指针,而0 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pLg1K0M.html" rel="bookmark" class="title">除了像菊花的微信小程序二维码，我还找到更多奇葩</a>
					<div>
						   审美这事,萝卜青菜各有所爱.比如最近微信发布的小程序码,有人感慨&quot;终于换掉了丑陋的二维码&quot;,有人却说它像&quot;菊花&quot;. 微信推出小程序,是因为二维码丑吗?我觉 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mx0xQ7M.html" rel="bookmark" class="title">sql语句  连表查询-连表查询 sql语句问题</a>
					<div>
						问题描述 连表查询 sql语句问题 有个商品表,和商品属性表,一个商品,在商品属性表里有好几条,我想连表查出,一条商品对应的两个属性,两个属性在一行显示,怎么查,属性表的数据是这样 1 商品id 规格 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z4Y4Erb.html" rel="bookmark" class="title">3D 打印的领先企业stratasys再推出级模拟聚丙烯材料Endur</a>
					<div>
						在发布全球首款彩色多材料的3D打印机之后,3D 打印的领先企业stratasys再推出级模拟聚丙烯材料-Endur,后者可以应用家用电器.日用消费品.汽车部件和实验室设备的原型制作. 4月24日,st ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M6YlmWb.html" rel="bookmark" class="title">云整合照片筛选应用Everpix融资100万美元</a>
					<div>
						关于云整合照片筛选应用Everpix我们网站一直有报道.Everpix在去年12月份推出了公测版,在今年2月还发布了其在iPhone平台上的应用.不过令人遗憾的是Everpix在推出iPhone应用后 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bK35BWb.html" rel="bookmark" class="title">亚马逊周五股价创一年最大跌幅：实体店或逆袭</a>
					<div>
						亚马逊周五跌幅创一年之最(腾讯科技配图) 北京时间4月27日消息,据国外媒体报道,受亚马逊对配送中心和数字内容进行投资,导致第二季度运营利润预期未达市场预期的影响,该公司股价在周五大跌7.24%,创出 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.027 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
